--- old/usr/src/uts/common/io/ib/clients/rdsv3/message.c	Sun Jun 11 17:03:48 2017
+++ new/usr/src/uts/common/io/ib/clients/rdsv3/message.c	Sun Jun 11 17:03:48 2017
@@ -47,7 +47,6 @@
 #include <sys/ib/clients/rdsv3/rdma.h>
 #include <sys/ib/clients/rdsv3/rdsv3_debug.h>
 
-#ifndef __lock_lint
 static unsigned int	rdsv3_exthdr_size[__RDSV3_EXTHDR_MAX] = {
 [RDSV3_EXTHDR_NONE]	= 0,
 [RDSV3_EXTHDR_VERSION]	= sizeof (struct rdsv3_ext_header_version),
@@ -54,14 +53,6 @@
 [RDSV3_EXTHDR_RDMA]	= sizeof (struct rdsv3_ext_header_rdma),
 [RDSV3_EXTHDR_RDMA_DEST]	= sizeof (struct rdsv3_ext_header_rdma_dest),
 };
-#else
-static unsigned int	rdsv3_exthdr_size[__RDSV3_EXTHDR_MAX] = {
-			0,
-			sizeof (struct rdsv3_ext_header_version),
-			sizeof (struct rdsv3_ext_header_rdma),
-			sizeof (struct rdsv3_ext_header_rdma_dest),
-};
-#endif
 
 void
 rdsv3_message_addref(struct rdsv3_message *rm)
@@ -305,22 +296,13 @@
 
 	RDSV3_DPRINTF4("rdsv3_message_map_pages", "Enter(len: %d)", total_len);
 
-#ifndef __lock_lint
 	rm = rdsv3_message_alloc(ceil(total_len, PAGE_SIZE), KM_NOSLEEP);
-#else
-	rm = NULL;
-#endif
 	if (rm == NULL)
 		return (ERR_PTR(-ENOMEM));
 
 	set_bit(RDSV3_MSG_PAGEVEC, &rm->m_flags);
 	rm->m_inc.i_hdr.h_len = htonl(total_len);
-#ifndef __lock_lint
 	rm->m_nents = ceil(total_len, PAGE_SIZE);
-#else
-	rm->m_nents = 0;
-#endif
-
 	for (i = 0; i < rm->m_nents; ++i) {
 		rdsv3_sg_set_page(&rm->m_sg[i],
 		    page_addrs[i],
@@ -340,11 +322,7 @@
 
 	RDSV3_DPRINTF4("rdsv3_message_copy_from_user", "Enter: %d", total_len);
 
-#ifndef __lock_lint
 	rm = rdsv3_message_alloc(ceil(total_len, PAGE_SIZE), KM_NOSLEEP);
-#else
-	rm = NULL;
-#endif
 	if (rm == NULL) {
 		ret = -ENOMEM;
 		goto out;
